//Generated by the protocol buffer compiler. DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/core_types.proto

package gg.dsepractice.chinese.v1alpha1;

@kotlin.jvm.JvmName("-initializegetArticleRequest")
inline fun getArticleRequest(block: gg.dsepractice.chinese.v1alpha1.GetArticleRequestKt.Dsl.() -> kotlin.Unit): gg.dsepractice.chinese.v1alpha1.GetArticleRequest =
  gg.dsepractice.chinese.v1alpha1.GetArticleRequestKt.Dsl._create(gg.dsepractice.chinese.v1alpha1.GetArticleRequest.newBuilder()).apply { block() }._build()
object GetArticleRequestKt {
  @kotlin.OptIn(com.google.protobuf.kotlin.OnlyForUseByGeneratedProtoCode::class)
  @com.google.protobuf.kotlin.ProtoDslMarker
  class Dsl private constructor(
    private val _builder: gg.dsepractice.chinese.v1alpha1.GetArticleRequest.Builder
  ) {
    companion object {
      @kotlin.jvm.JvmSynthetic
      @kotlin.PublishedApi
      internal fun _create(builder: gg.dsepractice.chinese.v1alpha1.GetArticleRequest.Builder): Dsl = Dsl(builder)
    }

    @kotlin.jvm.JvmSynthetic
    @kotlin.PublishedApi
    internal fun _build(): gg.dsepractice.chinese.v1alpha1.GetArticleRequest = _builder.build()

    /**
     * <code>string article_id = 1 [json_name = "articleId"];</code>
     */
    var articleId: kotlin.String
      @JvmName("getArticleId")
      get() = _builder.getArticleId()
      @JvmName("setArticleId")
      set(value) {
        _builder.setArticleId(value)
      }
    /**
     * <code>string article_id = 1 [json_name = "articleId"];</code>
     */
    fun clearArticleId() {
      _builder.clearArticleId()
    }
  }
}
inline fun gg.dsepractice.chinese.v1alpha1.GetArticleRequest.copy(block: gg.dsepractice.chinese.v1alpha1.GetArticleRequestKt.Dsl.() -> kotlin.Unit): gg.dsepractice.chinese.v1alpha1.GetArticleRequest =
  gg.dsepractice.chinese.v1alpha1.GetArticleRequestKt.Dsl._create(this.toBuilder()).apply { block() }._build()

